1
vote
0answers
97 views

compiling with boost fails “No such file or directory”

I'm a newbie, and I can't compile the Moses translation tools. Here's my command: sudo ./bjam --with-boost=~/home/ubuntu/boost_1_55_0 -j8 A lot of files compile but after a while I keep getting ...
0
votes
1answer
4k views

dogecoin wallet client dependencies (boost)

I seem to be missing something boost related. Dogecoin gives the requirements as: qt4-qmake libqt4-dev build-essential libboost-dev libboost-system-dev libboost-filesystem-dev ...
0
votes
0answers
258 views

Linking a program with Boost using clang-3.4 and libc++?

I'm trying to compile a simple C++ test file using libc++ (instead of libstdc++) and the Boost Program Options library from the Ubuntu main repo. The program is as follows: #include ...
0
votes
1answer
148 views

fatal error: /usr/include/boost/coroutine/coroutine.hpp: No such file or directory

fatal error: /usr/include/boost/coroutine/coroutine.hpp: No such file or directory /usr/include/boost can not find coroutine, where is it ?
0
votes
0answers
152 views

/usr/include/boost/config/select_stdlib_config.hpp:17:19: fatal error: cstddef: No such file or directory

want to compile a zeromq program with boost library and boost threadpool from sourceforge however, got error gcc -g server.c -lzmq -lboost_system-mt -pthread -o server `pkg-config --cflags --libs ...
0
votes
1answer
276 views

How to compile imageclipper in 12.04

I've been trying to compile imageclipper unsuccessfully, I've already installed opencv and boost and build-essential (gcc version is 4.6.3). The problem comes when modifying the Makefile, I need to ...
0
votes
1answer
338 views

Trying to compile Magic Set Editor

When I try to compile magicseteditor I get these errors: g++ -DHAVE_CONFIG_H -I. -I./src -I/usr/lib/i386-linux-gnu/wx/include/base-unicode-debug-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 ...
4
votes
1answer
11k views

How can I install boost-devel in Ubuntu 12.04?

I want to compile flvtool++, but it requires boost-devel libraries. I tried to install it via this command: sudo apt-get install boost-devel But I got the error: E: Unable to locate package ...